<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/server/handler.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_47f992fc4a5d123a396123dd9e441eaf.html">server</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">handler.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;regex&gt;</code><br />
<code>#include &quot;<a class="el" href="request__header_8h_source.html">request_header.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="request_8h_source.html">request.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="response_8h_source.html">response.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for handler.h:</div>
<div class="dyncontent">
<div class="center"><img src="handler_8h__incl.png" border="0" usemap="#backend_2src_2lib_2server_2handler_8h" alt=""/></div>
<map name="backend_2src_2lib_2server_2handler_8h" id="backend_2src_2lib_2server_2handler_8h">
<area shape="rect" title=" " alt="" coords="121,5,285,47"/>
<area shape="rect" title=" " alt="" coords="5,244,85,271"/>
<area shape="rect" title=" " alt="" coords="266,95,353,121"/>
<area shape="rect" title=" " alt="" coords="377,95,436,121"/>
<area shape="rect" href="request__header_8h.html" title=" " alt="" coords="109,169,243,196"/>
<area shape="rect" href="request_8h.html" title=" " alt="" coords="57,95,140,121"/>
<area shape="rect" href="response_8h.html" title=" " alt="" coords="300,169,393,196"/>
<area shape="rect" title=" " alt="" coords="197,244,321,271"/>
<area shape="rect" title=" " alt="" coords="110,244,173,271"/>
<area shape="rect" title=" " alt="" coords="345,244,415,271"/>
<area shape="rect" title=" " alt="" coords="440,244,515,271"/>
<area shape="rect" title=" " alt="" coords="539,244,631,271"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="handler_8h__dep__incl.png" border="0" usemap="#backend_2src_2lib_2server_2handler_8hdep" alt=""/></div>
<map name="backend_2src_2lib_2server_2handler_8hdep" id="backend_2src_2lib_2server_2handler_8hdep">
<area shape="rect" title=" " alt="" coords="99,5,263,47"/>
<area shape="rect" href="handler_8cpp.html" title=" " alt="" coords="5,95,169,136"/>
<area shape="rect" href="moxit__server_8h.html" title=" " alt="" coords="193,95,357,136"/>
<area shape="rect" href="moxit__server_8cpp.html" title=" " alt="" coords="99,184,263,225"/>
<area shape="rect" href="backend_2src_2main_8cpp.html" title=" " alt="" coords="287,191,450,218"/>
</map>
</div>
</div>
<p><a href="handler_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHandler.html">Handler</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a90dff9b74e811490ae5849a46c222587"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">HandlerType</a> = std::function&lt; void(const <a class="el" href="classRequest.html">Request</a> &amp;, <a class="el" href="classResponse.html">Response</a> &amp;)&gt;</td></tr>
<tr class="separator:a90dff9b74e811490ae5849a46c222587"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a90dff9b74e811490ae5849a46c222587"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90dff9b74e811490ae5849a46c222587">&#9670;&nbsp;</a></span>HandlerType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="handler_8h.html#a90dff9b74e811490ae5849a46c222587">HandlerType</a> =  std::function&lt;void(const <a class="el" href="classRequest.html">Request</a>&amp;, <a class="el" href="classResponse.html">Response</a>&amp;)&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
